
Live Search (as in Google)
[![Build Status](https://travis-ci.org/alg5/livesearch.svg?branch=dev_3.2.x)](https://travis-ci.org/alg5/livesearch)

The extension allows to navigate quikly to the forum/topic/user by typing a part of the name:
1. Quick search for forums shows all the forums in the board that contain the entered text
2. Quick search for topics shows all the topics in board that contain the entered text
3. Quick search for users shows all the nicknames, that start on the entered text. It also allows:
- go to the user profile
- send user a private message
- send user an e-mail
- contact anyuser, by the contact information, that the user left (skype, ICQ, Facebook, etc.)
- search all the user's topics (in the board or in a specific forum and its subforums)
- search all the user's posts (in the board or in a specific forum and its subforums or in a specific topic)
- quick add the user to the recipient list in the private message composing page 
4. Quick search for similar names while creating a new topic
5. The 'eye' plugin controls the viibility of search block
6. Displays a link to the topic in the canonical or  SEO-compatible view
7. Quick search of forums, groups, users in ACP

On the settings page there is an option to turn on/off any search.
Repository: https://github.com/alg5/livesearch
Installation:
Copy all the repo content to the folder ext/alg/livesearch/
Go to the administrator panel: ACP -> Personalisation -> Extension manage
Turn the "livesearch" extension on
Supported languages:
- English
- French
- Russian

### License
[GNU General Public License v2](http://opensource.org/licenses/GPL-2.0)

Расширение позволяет быстро перейти к форуму/теме/пользователю по набору части названия/имени:
1. Быстрый поиск по форуму отображает все форумы конференции, содержащие введенную комабинацию символов
2. Быстрый поиск по теме отображает все темы конференции, содержащие введенную комбинацию символов
3. Быстрый поиск по пользователю отражает все ники, начинающиеся с введенной комбинации символов и позволяет:
- перейти в профиль пользователя
- отправить ЛС пользователю
- отправить E-mail пользователю
- связаться с пользователем любым, указанным им в профиле сервисом(skype, ICQ, Facebook и.т.д)
- найти все темы пользователя ( в конференции или в конкретном форуме и его подфорумах)
- найти все посты пользователя ( в конференции или в конкретном форуме и его подфорумах или в конкретной теме) 
- на странице создания нового ЛС позволяет быстро добавить пользователя в список получателей
4. Быстрый поиск при создании новых тем
5. Управление видимостью блока поиска с помощью плагина "глаз" 
6. Отображение ссылки на тему в кноническом или СЕО-совместимом виде
7. Поиск форумов, групп, пользователей в панели администратора

На странице настроек можно включить/отключить любой из поисков, а также настроить параметры, с какого введённого символа начинать поиск и сколько результатов отображать
Репозиторий: https://github.com/alg5/livesearch
Инсталляция:
Скопируйте всё содержимое репозитория в папку ext/alg/livesearch/
Перейдите в Панель администратора: АСР-> Персонализация-> Управление расширениями 
Включите расширение "livesearch"
Поддерживаемые языки:
- Английский
- Русский
- Французский

### Лицензия
[GNU General Public License v2](http://opensource.org/licenses/GPL-2.0)


© 2014 - Alg

